## org.apache.poi.ss.formula.ptg
Class OperandPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AreaErrPtg, AreaPtgBase, DeletedArea3DPtg, DeletedRef3DPtg, MemAreaPtg, MemErrPtg, MemFuncPtg, NamePtg, NameXPtg, RefErrorPtg, RefPtgBase

    public abstract class OperandPtg

extends Ptg
implements java.lang.Cloneable

Author:
  Josh Micich

Field Summary

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`OperandPtg()`

Method Summary
`OperandPtg` `copy()`
`boolean` `isBaseToken()` All Operand `Ptg`s are classified ('relative', 'value', 'array')

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getDefaultOperandClass, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperandPtg

    public OperandPtg()

Method Detail

### isBaseToken

    public final boolean isBaseToken()

  All Operand `Ptg`s are classified ('relative', 'value', 'array')

  Specified by:
    `isBaseToken` in class `Ptg`
  Returns:
    `false` if this token is classified as 'reference', 'value', or 'array'

### copy

    public final OperandPtg copy()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.